import { connect } from "react-redux";
import { AuthCheck } from "./../components/AuthCheck";
import { history } from "./../App";
import {
  actionFindTracks,
  actionFindUser,
} from "./../actions/index";
import { Button } from "react-bootstrap";

const Library = ({ auth, actionTracks, actionUser }) => {
  return (
    <div className="SearchPage">
      {auth.token && history.location.pathname === "/library" ? (
        <div className="d-block mx-auto mt-2 container w-50">
          <h1>Ваша библиотека с музыкой, {auth.payload.sub.nick}</h1>
          <Button onClick={() => actionTracks()}>Tracks</Button>
          <Button onClick={() => actionUser("61d45a16e9472933a6785f04")}>
            Me
          </Button>
        </div>
      ) : (
        <div className="d-block mx-auto mt-2 container w-50">
          <AuthCheck header="Ваша музыка" />
        </div>
      )}
    </div>
  );
};

export const CLibrary = connect((state) => ({ auth: state.auth }), {
  actionTracks: actionFindTracks,
  actionUser: actionFindUser,
})(Library);
