// import { jwtDecode } from "./../helpers/index";

// export function promiseReducer(
//   state = {},
//   { type, status, payload, error, name }
// ) {
//   if (type === "PROMISE") {
//     return {
//       ...state,
//       [name]: { status, payload, error },
//     };
//   }
//   return state;
// }

// export function authReducer(state, { type, token, id, login, nick, avatar }) {
//   if (!state) {
//     if (localStorage.authToken) {
//       type = "AUTH_LOGIN";
//       token = localStorage.authToken;
//     } else state = {};
//   }
//   if (type === "AUTH_LOGIN") {
//     localStorage.setItem("authToken", token);
//     let payload = jwtDecode(token);
//     if (typeof payload === "object") {
//       return {
//         ...state,
//         token,
//         payload,
//       };
//     } else return state;
//   }
//   if (type === "ABOUT_ME") {
//     let user = {
//       id,
//       login,
//       nick,
//       avatar,
//     };
//     if (id) {
//       localStorage.setItem("user", JSON.stringify(user));
//       return {
//         ...state,
//         id,
//         login,
//         nick,
//         avatar,
//       };
//     } else return state;
//   }
//   if (type === "AUTH_LOGOUT") {
//     localStorage.removeItem("authToken");
//     localStorage.removeItem("user");
//     return {};
//   }
// }

import { jwtDecode } from "./../helpers/index";

export function promiseReducer(
  state = {},
  { type, status, payload, error, name }
) {
  if (type === "PROMISE") {
    return {
      ...state,
      [name]: { status, payload, error },
    };
  }
  return state;
}

export function authReducer(state, { type, token, id, login, nick, avatar }) {
  if (!state) {
    if (localStorage.authToken) {
      type = "AUTH_LOGIN";
      token = localStorage.authToken;
    } else state = {};
  }
  if (type === "AUTH_LOGIN") {
    localStorage.setItem("authToken", token);
    let payload = jwtDecode(token);
    if (typeof payload === "object") {
      return {
        ...state,
        token,
        payload,
      };
    } else return state;
  }
  if (type === "ABOUT_ME") {
    localStorage.setItem("user", JSON.stringify("object"));
    localStorage.setItem("authToken", token);
    let payload = jwtDecode(token);
    if (typeof payload === "object") {
      return {
        ...state,
        token,
        payload,
      };
    } else return state;
  }
  if (type === "AUTH_LOGOUT") {
    localStorage.removeItem("authToken");
    return {};
  }
  return state;
}
